Triggers
List trigger types
Retrieve a list of available trigger types with optional filtering by toolkit. Results are paginated and can be filtered by toolkit.
GET
/
api
/
v3.1
/
triggers_types
List trigger types
import requests
url = "https://backend.composio.dev/api/v3.1/triggers_types"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3.1/triggers_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3.1/triggers_types \
--header 'x-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3.1/triggers_types"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3.1/triggers_types")
.header("x-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/triggers_types");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"items": [
{
"slug": "SLACK_CHANNEL_MESSAGE_RECEIVED",
"name": "New Message in Slack Channel",
"description": "Triggers when a new message is posted to a Slack channel",
"instructions": "<string>",
"type": "webhook",
"types": [
"webhook",
"poll"
],
"toolkit": {
"slug": "slack",
"name": "Slack",
"logo": "https://example.com/logo.png"
},
"config": {
"channel_id": {
"type": "string",
"required": true
},
"message_type": {
"type": "enum",
"options": [
"all",
"direct",
"channel"
]
}
},
"payload": {
"message": {
"type": "string"
},
"sender": {
"type": "object",
"properties": {
"id": "string",
"name": "string"
}
},
"timestamp": {
"type": "number"
}
},
"version": "20250930_00",
"requires_webhook_endpoint_setup": false
}
],
"total_pages": 123,
"current_page": 123,
"total_items": 123,
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}Authorizations
ApiKeyAuthUserApiKeyAuth
Query Parameters
List trigger types
import requests
url = "https://backend.composio.dev/api/v3.1/triggers_types"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3.1/triggers_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3.1/triggers_types \
--header 'x-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3.1/triggers_types"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3.1/triggers_types")
.header("x-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/triggers_types");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"items": [
{
"slug": "SLACK_CHANNEL_MESSAGE_RECEIVED",
"name": "New Message in Slack Channel",
"description": "Triggers when a new message is posted to a Slack channel",
"instructions": "<string>",
"type": "webhook",
"types": [
"webhook",
"poll"
],
"toolkit": {
"slug": "slack",
"name": "Slack",
"logo": "https://example.com/logo.png"
},
"config": {
"channel_id": {
"type": "string",
"required": true
},
"message_type": {
"type": "enum",
"options": [
"all",
"direct",
"channel"
]
}
},
"payload": {
"message": {
"type": "string"
},
"sender": {
"type": "object",
"properties": {
"id": "string",
"name": "string"
}
},
"timestamp": {
"type": "number"
}
},
"version": "20250930_00",
"requires_webhook_endpoint_setup": false
}
],
"total_pages": 123,
"current_page": 123,
"total_items": 123,
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}